<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:eat="http://msqr.us/xsd/ieat"
	xmlns:xweb="http://msqr.us/xsd/jaxb-web"
	exclude-result-prefixes="eat xweb">

    <xsl:output method="xml" omit-xml-declaration="no" 
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" 
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"/>

    <xsl:template match="xweb:x-data">
        <html>
            <body>
				<script type="text/javascript" xml:space="preserve">
					<xsl:comment>
					function init() {
						if ( !window.opener ) {
							alert("No opener!");
							return;
						}
						window.close();
					}
					init();
					//</xsl:comment>
				</script>
            </body>
        </html>
    </xsl:template>
    
</xsl:stylesheet>
